package vip.xiaonuo.timer;


import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import vip.xiaonuo.common.timer.CommonTimerTaskRunner;
import vip.xiaonuo.erp.service.IErpBdOrgService;
import vip.xiaonuo.erp.service.IErpHeXinService;

@Slf4j
@Component
public class ErpHeXinTimer implements CommonTimerTaskRunner {
    @Autowired
    private IErpHeXinService erpHeXinService;

    @Override
    public void action() {
        erpHeXinService.getShouRuJinE();
        erpHeXinService.getJinLiRun();
        erpHeXinService.getZiJinYvE();
        erpHeXinService.getXiaoShouE();
        erpHeXinService.getDangQianYvQi();
        erpHeXinService.getCaiGouJinE();
        erpHeXinService.getYangMaoZhiCaiGouShuLiang();
    }
}
